Qt 5.6 | Qt 3D | C++ Classes | QAbstractBuffer

Qt 5.6.3 Reference Documentation

# QAbstractBuffer Class

(Qt3DRender::QAbstractBuffer)

Header: | #include <QAbstractBuffer>
qmake: | QT += 3drender
Instantiated By: | AbstractBuffer
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DRender::QBuffer

- List of all members, including inherited members

## Public Functions

| QAbstractBuffer(QNode *parent = Q_NULLPTR)
virtual | ~QAbstractBuffer()
QByteArray | data() const
void | setData(const QByteArray &bytes)

- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | dataChanged(const QByteArray &bytes)

- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Abstract class.

## Member Function Documentation

### QAbstractBuffer::QAbstractBuffer(QNode *parent = Q_NULLPTR)

Constructs a new QAbstractBuffer with parent.

### `[virtual]` QAbstractBuffer::~QAbstractBuffer()

Destroys the abstract buffer.

### QByteArray QAbstractBuffer::data() const

Returns the data.

See also setData().

### `[signal]` void QAbstractBuffer::dataChanged(const QByteArray &bytes)

This signal is emitted with bytes when data changes.

### void QAbstractBuffer::setData(const QByteArray &bytes)

Sets bytes as data.

See also data().